import { CreateJobArgs, Job, JobExecutionHealth, ListExecutionsResponse, ListJobsResponse, Operation } from "./types";
export declare class Jobs {
    private readonly projectName;
    private readonly serviceAccount;
    constructor(projectName: string, serviceAccount: string);
    createJob(createJobArgs: CreateJobArgs): Promise<Job>;
    isJobRunning(jobId: string): Promise<boolean>;
    runJob(jobId: string): Promise<boolean>;
    listJobs(): Promise<ListJobsResponse>;
    getJob(jobId: string): Promise<Job>;
    deleteJob(jobId: string): Promise<Operation>;
    listExecutions(jobId: string): Promise<ListExecutionsResponse>;
    getJobExecutionHealth(jobId: string, take: number): Promise<JobExecutionHealth>;
}
